%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Offline package installation and update tools
Name: opyum
Version: 0.0.3
Release: 1%{?dist}
License: GPLv2
Group: Applications/System
URL: https://hosted.fedoraproject.org/projects/opyum
Source0: http://rishi.fedorapeople.org/opyum/%{name}-%{version}.tar.gz

Patch0: %{name}-%{version}-configure.patch

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires: hicolor-icon-theme
Requires: pirut >= 1.3.23
Requires: usermode

BuildRequires: desktop-file-utils
BuildRequires: python

BuildArch: noarch

%description
Opyum (pronounced 'opium') provides a set of tools to enable users, who do not
have a good network (eg., Internet) connection at their ready disposal, to
easily install new packages or update existing ones through the conventional
package management system available in Fedora.

%prep
%setup -q
%patch0 -p1

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/system-install-yumpacks.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post 
if [ -x %{_bindir}/update-desktop-database ]; then
  update-desktop-database &> /dev/null || :
fi

touch  --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun 
if [ -x %{_bindir}/update-desktop-database ]; then
  update-desktop-database &> /dev/null || :
fi

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/pam.d/system-install-yumpacks
%config(noreplace) %{_sysconfdir}/security/console.apps/system-install-yumpacks
%doc AUTHORS ChangeLog ChangeLog.0 COPYING NEWS README TODO
%{_bindir}/%{name}
%{_bindir}/system-install-yumpacks
%{_sbindir}/system-install-yumpacks
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/applications/fedora-system-install-yumpacks.desktop
%{_datadir}/icons/hicolor/48x48/apps/installpkg.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_mandir}/man8/%{name}.8.gz

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/ui

%changelog
* Thu Oct 25 2007 Debarshi Ray <rishi@fedoraproject.org> - 0.0.3-1
- Added 'Requires: usermode'.
- Version bump to 0.0.3.

* Thu Aug 23 2007 Debarshi Ray <rishi@fedoraproject.org> - 0.0.2-2
- Added 'BuildRequires: python'.
- Fixed build failure caused by check for pirut modules in configure script.
- Workaround for Red Hat Bugzilla bug #252136.

* Sun Aug 19 2007 Debarshi Ray <rishi@fedoraproject.org> - 0.0.2-1
- Initial build.
